% MATLAB function to parse temperature/throughput 
% measurements from binary files
% Author: Dr. Sanjib Sur
% Institute: University of South Carolina%
% Date: October, 2019%
% Last Updated: Moh Sabbir Saadat
% University of South Carolina
% Date: September, 2020

function [radio_temp, mac_temp] = ExtractTemperature(filename) 
%     fid = fopen(strcat(filename,'_temp'));
    fid = fopen(filename);

    mac_temp = [];
    radio_temp = [];
    tline = fgetl(fid);
    while ischar(tline)        
        % check if it mac or radio
        if contains(tline, 'mac')
            mac_string = strsplit(tline, '=');
            mac_temp = [mac_temp; str2num(mac_string{2})];
        elseif contains(tline, 'radio')
            radio_string = strsplit(tline, '=');
            radio_temp = [radio_temp; str2num(radio_string{2})];
        end        
        tline = fgetl(fid);
    end 
        
    fclose all;
end