% MATLAB script to visualize each data file
% Only change the parameters, on_period and off_period 
% to change the pulse width and duty cycle
% Author: Moh Sabbir Saadat, University of South Carolina
% Date: September 03, 2020

clear all; close all; clc; 

addpath('../parse_functions') % contains the functions to parse the binary files

% change these two parameters
trial = 45; 

filename = strcat('thr_temp_', num2str(trial));

throughput = ExtractThroughput(strcat(filename, '_bf'));
temperature = ExtractTemperature(strcat(filename, '_temp'));

% throughput plot
figure; plot(throughput, 'LineWidth', 2)
grid on
xlabel('Time (s)')
ylabel('Throughput (Mbps)')
title(strcat('100s continuous transmission'))

% temperature plot
figure; plot(temperature, 'LineWidth', 2)
grid on
xlabel('Time (s)')
ylabel('Temperature (^{\circ}C)')
title(strcat('100s continuous transmission'))